{ pkgs, ... }: {
  imports = [
    ../common
    ../common/home-user.nix

    ../../features/kitty.nix
    ../../features/vesktop
    ../../features/retroarch.nix
  ];

  home.packages = with pkgs; [
    spotify
    teamspeak_client
    vlc
    helvum
    tenacity
    gimp
    krita
    jq
    plexamp
    plex-media-player
  ];

  programs.vscode = {
    enable = true;
    package = pkgs.vscode.fhs;
  };

  programs.kitty.settings.font_size = 12;
}
