{ inputs, lib, ... }: {
  imports = [
    inputs.nixos-hardware.nixosModules.raspberry-pi-4
    ../../client-lite.nix
    ../../stacks/streambox

    ../../features/plasma6.nix
    ../../features/sound
    ../../features/wifi.nix
    ../../features/tailscale.nix
    ../../features/bluetooth.nix
    ../../features/telemetry
    ../../features/dns-cache.nix
    ../../features/nas0.nix
  ];

  home-manager.users.noe = import ../../../home-manager/noe/hosts/streambox.nix;

  networking.hostName = "streambox";
  system.stateVersion = "25.05"; 

  nixpkgs.hostPlatform = lib.mkDefault "aarch64-linux";
}
