{ pkgs, config, ... }: {
  imports = [
    ./hardware-configuration.nix
    ../../client.nix

    ../../features/plasma6.nix
    ../../features/tailscale.nix
    ../../features/sound
    ../../features/steam.nix
    ../../features/dns-cache.nix
    ../../features/podman.nix
    ../../features/bluetooth.nix
    ../../features/telemetry
    ../../features/nas0.nix
  ];

  home-manager.users.noe = import ../../../home-manager/noe/hosts/unicorn.nix;
  
  networking.hostName = "unicorn";
  system.stateVersion = "25.05";

  internal.nas0.useSMB = true;

  boot.binfmt.emulatedSystems = [ "aarch64-linux" ];
}
